<?xml version="1.0" encoding="UTF-8" ?>
<rss version="2.0" xmlns:dc="http://purl.org/dc/elements/1.1/"><channel><title>List Article Collection REST Endpoint</title><link>https://community.telligent.com/community/13/w/api-documentation/75163/list-article-collection-rest-endpoint</link><description>&lt;p&gt;&lt;span&gt;Developing on Verint Community? Use the API documentation as a reference for all supported interactions with Verint Community.&lt;/span&gt;&lt;/p&gt;</description><dc:language>en-US</dc:language><generator>14.0.0.586 14</generator><item><title>List Article Collection REST Endpoint</title><link>https://community.telligent.com/community/13/w/api-documentation/75163/list-article-collection-rest-endpoint</link><pubDate>Fri, 08 Mar 2024 17:44:00 GMT</pubDate><guid isPermaLink="false">5fc9adbc-c392-4028-b9d4-2c169bced0e7</guid><dc:creator>Ben Tiedt</dc:creator><comments>https://community.telligent.com/community/13/w/api-documentation/75163/list-article-collection-rest-endpoint#comments</comments><description>Current Revision posted to API Documentation by Ben Tiedt on 03/08/2024 17:44:00&lt;br /&gt;
&lt;hr class="generated-documentation-start" style="border-width:0;" /&gt;&lt;div class="documentation"&gt;&lt;div class="documentation-url"&gt;&lt;h2&gt;GET api.ashx/v2/articles/collections.{json|xml}&lt;/h2&gt;&lt;div class="documentation-section parameters"&gt;&lt;h3&gt;Request Parameters&lt;/h3&gt;&lt;div class="value"&gt;&lt;table cellspacing="0"&gt;&lt;thead&gt; &lt;tr&gt;  &lt;th&gt;Name&lt;/th&gt;  &lt;th&gt;Type&lt;/th&gt;  &lt;th&gt;Location&lt;/th&gt;  &lt;th&gt;Description&lt;/th&gt;  &lt;th&gt;Required&lt;/th&gt;  &lt;th&gt;Default&lt;/th&gt;  &lt;th&gt;Options&lt;/th&gt; &lt;/tr&gt;&lt;/thead&gt;&lt;tbody&gt; &lt;tr&gt;  &lt;td&gt;ArticleCollectionIds&lt;/td&gt;  &lt;td&gt;string&lt;/td&gt;  &lt;td&gt;Query String&lt;/td&gt;   &lt;td&gt;A comma-separated list of article collection ids to return. To maintain the order specified in your list, set &amp;#39;SortBy&amp;#39; to &amp;#39;ArticleCollectionIds&amp;#39;.&lt;/td&gt;  &lt;td&gt;Optional&lt;/td&gt;  &lt;td&gt;&lt;/td&gt;  &lt;td&gt;&lt;/td&gt; &lt;/tr&gt; &lt;tr&gt;  &lt;td&gt;ContainerIds&lt;/td&gt;  &lt;td&gt;string&lt;/td&gt;  &lt;td&gt;Query String&lt;/td&gt;   &lt;td&gt;A  comma-separated list of group container ids to filter the collection set by.&lt;/td&gt;  &lt;td&gt;Optional&lt;/td&gt;  &lt;td&gt;&lt;/td&gt;  &lt;td&gt;&lt;/td&gt; &lt;/tr&gt; &lt;tr&gt;  &lt;td&gt;GroupId&lt;/td&gt;  &lt;td&gt;int&lt;/td&gt;  &lt;td&gt;Query String&lt;/td&gt;   &lt;td&gt;The group id to list collections by.&lt;/td&gt;  &lt;td&gt;Optional&lt;/td&gt;  &lt;td&gt;&lt;/td&gt;  &lt;td&gt;&lt;/td&gt; &lt;/tr&gt; &lt;tr&gt;  &lt;td&gt;IncludeSubGroups&lt;/td&gt;  &lt;td&gt;bool&lt;/td&gt;  &lt;td&gt;Query String&lt;/td&gt;   &lt;td&gt;Whether to include collections within subgroups.  Only used when GroupId is specified.&lt;/td&gt;  &lt;td&gt;Optional&lt;/td&gt;  &lt;td&gt;&lt;/td&gt;  &lt;td&gt;&lt;/td&gt; &lt;/tr&gt; &lt;tr&gt;  &lt;td&gt;IsDeleted&lt;/td&gt;  &lt;td&gt;bool&lt;/td&gt;  &lt;td&gt;Query String&lt;/td&gt;   &lt;td&gt;Filters collections that have been deleted.&lt;/td&gt;  &lt;td&gt;Optional&lt;/td&gt;  &lt;td&gt;False&lt;/td&gt;  &lt;td&gt;&lt;/td&gt; &lt;/tr&gt; &lt;tr&gt;  &lt;td&gt;PageIndex&lt;/td&gt;  &lt;td&gt;int&lt;/td&gt;  &lt;td&gt;Query String&lt;/td&gt;   &lt;td&gt;The page index to return based on page size.  This value is &amp;#39;zero&amp;#39; based and defaults to zero.&lt;/td&gt;  &lt;td&gt;Optional&lt;/td&gt;  &lt;td&gt;0&lt;/td&gt;  &lt;td&gt;&lt;/td&gt; &lt;/tr&gt; &lt;tr&gt;  &lt;td&gt;PageSize&lt;/td&gt;  &lt;td&gt;int&lt;/td&gt;  &lt;td&gt;Query String&lt;/td&gt;   &lt;td&gt;The total amount of article collections to return per paged request. The default is 20, the maximum is 100.&lt;/td&gt;  &lt;td&gt;Optional&lt;/td&gt;  &lt;td&gt;20&lt;/td&gt;  &lt;td&gt;&lt;/td&gt; &lt;/tr&gt; &lt;tr&gt;  &lt;td&gt;SortBy&lt;/td&gt;  &lt;td&gt;string&lt;/td&gt;  &lt;td&gt;Query String&lt;/td&gt;   &lt;td&gt;The sort option for the article collections.&lt;/td&gt;  &lt;td&gt;Optional&lt;/td&gt;  &lt;td&gt;name&lt;/td&gt;  &lt;td&gt;createdate,deletedate,name,collectionidsorder&lt;/td&gt; &lt;/tr&gt; &lt;tr&gt;  &lt;td&gt;SortOrder&lt;/td&gt;  &lt;td&gt;string&lt;/td&gt;  &lt;td&gt;Query String&lt;/td&gt;   &lt;td&gt;The direction to sort the article collections by based on the current SortBy options.  The options are &amp;#39;ascending&amp;#39; or &amp;#39;descending&amp;#39;.&lt;/td&gt;  &lt;td&gt;Optional&lt;/td&gt;  &lt;td&gt;ascending&lt;/td&gt;  &lt;td&gt;&lt;/td&gt; &lt;/tr&gt;&lt;/tbody&gt;&lt;/table&gt;&lt;/div&gt;&lt;/div&gt;&lt;div class="documentation-section requests"&gt;&lt;h3&gt;Example Requests&lt;/h3&gt;&lt;h4&gt;Widget Javascript&lt;/h4&gt;&lt;pre class="brush: javascript"&gt;
jQuery.telligent.evolution.get({
	url: jQuery.telligent.evolution.site.getBaseUrl() + &amp;#39;api.ashx/v2/articles/collections.json&amp;#39;
}).then(function(response) {
	// use response
});&lt;/pre&gt;&lt;/div&gt;&lt;/div&gt;&lt;/div&gt;&lt;hr class="generated-documentation-end" style="border-width:0;" /&gt;&lt;div style="clear:both;"&gt;&lt;/div&gt;
</description></item></channel></rss>